import java.lang.ref.ReferenceQueue;
import java.util.ArrayList;

public final class Class391 {

   ReferenceQueue aReferenceQueue4854 = new ReferenceQueue();
   WeakReference_Sub1[] aWeakReference_Sub1Array4855 = new WeakReference_Sub1[16];
   int anInt4856;
   public static client aclient4857;


   void method6710() {
      while(true) {
         WeakReference_Sub1 var1 = (WeakReference_Sub1)this.aReferenceQueue4854.poll();
         if(null == var1) {
            return;
         }

         int var2 = var1.anInt10381 * -1077508375 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var3 = this.aWeakReference_Sub1Array4855[var2];
         if(var3 == var1) {
            this.aWeakReference_Sub1Array4855[var2] = var1.aWeakReference_Sub1_10380;
            this.anInt4856 -= -986452735;
         } else {
            while(null != var3 && var3.aWeakReference_Sub1_10380 != var1) {
               var3 = var3.aWeakReference_Sub1_10380;
            }

            if(var3 != null) {
               var3.aWeakReference_Sub1_10380 = var1.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            }
         }
      }
   }

   public void method6711(Object var1, Object var2, int var3) {
      if(null == var1) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var4 = System.identityHashCode(var1);
         int var5 = var4 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var6 = this.aWeakReference_Sub1Array4855[var5];
         if(null == var6) {
            this.aWeakReference_Sub1Array4855[var5] = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var4, var2);
            this.anInt4856 += -986452735;
            if(this.anInt4856 * 1328878337 >= this.aWeakReference_Sub1Array4855.length) {
               this.method6714(-875927841);
            }
         } else {
            while(var6.get() != var1) {
               if(null == var6.aWeakReference_Sub1_10380) {
                  var6.aWeakReference_Sub1_10380 = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var4, var2);
                  this.anInt4856 += -986452735;
                  if(1328878337 * this.anInt4856 >= this.aWeakReference_Sub1Array4855.length) {
                     this.method6714(-875927841);
                  }
                  break;
               }

               var6 = var6.aWeakReference_Sub1_10380;
            }
         }

      }
   }

   void method6712() {
      WeakReference_Sub1[] var1 = this.aWeakReference_Sub1Array4855;
      this.aWeakReference_Sub1Array4855 = new WeakReference_Sub1[var1.length * 2];
      WeakReference_Sub1[] var2 = var1;

      WeakReference_Sub1 var5;
      for(int var3 = 0; var3 < var2.length; ++var3) {
         for(WeakReference_Sub1 var4 = var2[var3]; null != var4; var4 = var5) {
            var5 = var4.aWeakReference_Sub1_10380;
            int var6 = -1077508375 * var4.anInt10381 & this.aWeakReference_Sub1Array4855.length - 1;
            var4.aWeakReference_Sub1_10380 = this.aWeakReference_Sub1Array4855[var6];
            this.aWeakReference_Sub1Array4855[var6] = var4;
         }
      }

   }

   public ArrayList method6713(short var1) {
      this.method6716(-335577967);
      ArrayList var2 = new ArrayList(this.anInt4856 * 1328878337);
      WeakReference_Sub1[] var3 = this.aWeakReference_Sub1Array4855;

      for(int var4 = 0; var4 < var3.length; ++var4) {
         for(WeakReference_Sub1 var5 = var3[var4]; null != var5; var5 = var5.aWeakReference_Sub1_10380) {
            Object var6 = var5.get();
            if(var6 != null) {
               var2.add(var6);
            }
         }
      }

      return var2;
   }

   void method6714(int var1) {
      WeakReference_Sub1[] var2 = this.aWeakReference_Sub1Array4855;
      this.aWeakReference_Sub1Array4855 = new WeakReference_Sub1[var2.length * 2];
      WeakReference_Sub1[] var3 = var2;

      WeakReference_Sub1 var6;
      for(int var4 = 0; var4 < var3.length; ++var4) {
         for(WeakReference_Sub1 var5 = var3[var4]; null != var5; var5 = var6) {
            var6 = var5.aWeakReference_Sub1_10380;
            int var7 = -1077508375 * var5.anInt10381 & this.aWeakReference_Sub1Array4855.length - 1;
            var5.aWeakReference_Sub1_10380 = this.aWeakReference_Sub1Array4855[var7];
            this.aWeakReference_Sub1Array4855[var7] = var5;
         }
      }

   }

   public void method6715(Object var1) {
      if(var1 == null) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var2 = System.identityHashCode(var1);
         int var3 = var2 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var4 = this.aWeakReference_Sub1Array4855[var3];
         if(var4 != null) {
            if(var4.get() == var1) {
               this.aWeakReference_Sub1Array4855[var3] = var4.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            } else {
               while(true) {
                  WeakReference_Sub1 var5 = var4.aWeakReference_Sub1_10380;
                  if(null == var5) {
                     break;
                  }

                  if(var5.get() == var1) {
                     var4.aWeakReference_Sub1_10380 = var5.aWeakReference_Sub1_10380;
                     this.anInt4856 -= -986452735;
                     break;
                  }

                  var4 = var5;
               }
            }

         }
      }
   }

   void method6716(int var1) {
      while(true) {
         WeakReference_Sub1 var2 = (WeakReference_Sub1)this.aReferenceQueue4854.poll();
         if(null == var2) {
            return;
         }

         int var3 = var2.anInt10381 * -1077508375 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var4 = this.aWeakReference_Sub1Array4855[var3];
         if(var4 == var2) {
            this.aWeakReference_Sub1Array4855[var3] = var2.aWeakReference_Sub1_10380;
            this.anInt4856 -= -986452735;
         } else {
            while(null != var4 && var4.aWeakReference_Sub1_10380 != var2) {
               var4 = var4.aWeakReference_Sub1_10380;
            }

            if(var4 != null) {
               var4.aWeakReference_Sub1_10380 = var2.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            }
         }
      }
   }

   public void method6717(Object var1, Object var2) {
      if(null == var1) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var3 = System.identityHashCode(var1);
         int var4 = var3 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var5 = this.aWeakReference_Sub1Array4855[var4];
         if(null == var5) {
            this.aWeakReference_Sub1Array4855[var4] = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var3, var2);
            this.anInt4856 += -986452735;
            if(this.anInt4856 * 1328878337 >= this.aWeakReference_Sub1Array4855.length) {
               this.method6714(-875927841);
            }
         } else {
            while(var5.get() != var1) {
               if(null == var5.aWeakReference_Sub1_10380) {
                  var5.aWeakReference_Sub1_10380 = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var3, var2);
                  this.anInt4856 += -986452735;
                  if(1328878337 * this.anInt4856 >= this.aWeakReference_Sub1Array4855.length) {
                     this.method6714(-875927841);
                  }
                  break;
               }

               var5 = var5.aWeakReference_Sub1_10380;
            }
         }

      }
   }

   public void method6718(Object var1, Object var2) {
      if(null == var1) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var3 = System.identityHashCode(var1);
         int var4 = var3 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var5 = this.aWeakReference_Sub1Array4855[var4];
         if(null == var5) {
            this.aWeakReference_Sub1Array4855[var4] = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var3, var2);
            this.anInt4856 += -986452735;
            if(this.anInt4856 * 1328878337 >= this.aWeakReference_Sub1Array4855.length) {
               this.method6714(-875927841);
            }
         } else {
            while(var5.get() != var1) {
               if(null == var5.aWeakReference_Sub1_10380) {
                  var5.aWeakReference_Sub1_10380 = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var3, var2);
                  this.anInt4856 += -986452735;
                  if(1328878337 * this.anInt4856 >= this.aWeakReference_Sub1Array4855.length) {
                     this.method6714(-875927841);
                  }
                  break;
               }

               var5 = var5.aWeakReference_Sub1_10380;
            }
         }

      }
   }

   public void method6719(Object var1) {
      if(var1 == null) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var2 = System.identityHashCode(var1);
         int var3 = var2 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var4 = this.aWeakReference_Sub1Array4855[var3];
         if(var4 != null) {
            if(var4.get() == var1) {
               this.aWeakReference_Sub1Array4855[var3] = var4.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            } else {
               while(true) {
                  WeakReference_Sub1 var5 = var4.aWeakReference_Sub1_10380;
                  if(null == var5) {
                     break;
                  }

                  if(var5.get() == var1) {
                     var4.aWeakReference_Sub1_10380 = var5.aWeakReference_Sub1_10380;
                     this.anInt4856 -= -986452735;
                     break;
                  }

                  var4 = var5;
               }
            }

         }
      }
   }

   public void method6720(Object var1) {
      if(var1 == null) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var2 = System.identityHashCode(var1);
         int var3 = var2 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var4 = this.aWeakReference_Sub1Array4855[var3];
         if(var4 != null) {
            if(var4.get() == var1) {
               this.aWeakReference_Sub1Array4855[var3] = var4.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            } else {
               while(true) {
                  WeakReference_Sub1 var5 = var4.aWeakReference_Sub1_10380;
                  if(null == var5) {
                     break;
                  }

                  if(var5.get() == var1) {
                     var4.aWeakReference_Sub1_10380 = var5.aWeakReference_Sub1_10380;
                     this.anInt4856 -= -986452735;
                     break;
                  }

                  var4 = var5;
               }
            }

         }
      }
   }

   public void method6721(Object var1, Object var2) {
      if(null == var1) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var3 = System.identityHashCode(var1);
         int var4 = var3 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var5 = this.aWeakReference_Sub1Array4855[var4];
         if(null == var5) {
            this.aWeakReference_Sub1Array4855[var4] = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var3, var2);
            this.anInt4856 += -986452735;
            if(this.anInt4856 * 1328878337 >= this.aWeakReference_Sub1Array4855.length) {
               this.method6714(-875927841);
            }
         } else {
            while(var5.get() != var1) {
               if(null == var5.aWeakReference_Sub1_10380) {
                  var5.aWeakReference_Sub1_10380 = new WeakReference_Sub1(var1, this.aReferenceQueue4854, var3, var2);
                  this.anInt4856 += -986452735;
                  if(1328878337 * this.anInt4856 >= this.aWeakReference_Sub1Array4855.length) {
                     this.method6714(-875927841);
                  }
                  break;
               }

               var5 = var5.aWeakReference_Sub1_10380;
            }
         }

      }
   }

   void method6722() {
      while(true) {
         WeakReference_Sub1 var1 = (WeakReference_Sub1)this.aReferenceQueue4854.poll();
         if(null == var1) {
            return;
         }

         int var2 = var1.anInt10381 * -1077508375 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var3 = this.aWeakReference_Sub1Array4855[var2];
         if(var3 == var1) {
            this.aWeakReference_Sub1Array4855[var2] = var1.aWeakReference_Sub1_10380;
            this.anInt4856 -= -986452735;
         } else {
            while(null != var3 && var3.aWeakReference_Sub1_10380 != var1) {
               var3 = var3.aWeakReference_Sub1_10380;
            }

            if(var3 != null) {
               var3.aWeakReference_Sub1_10380 = var1.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            }
         }
      }
   }

   void method6723() {
      while(true) {
         WeakReference_Sub1 var1 = (WeakReference_Sub1)this.aReferenceQueue4854.poll();
         if(null == var1) {
            return;
         }

         int var2 = var1.anInt10381 * -1077508375 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var3 = this.aWeakReference_Sub1Array4855[var2];
         if(var3 == var1) {
            this.aWeakReference_Sub1Array4855[var2] = var1.aWeakReference_Sub1_10380;
            this.anInt4856 -= -986452735;
         } else {
            while(null != var3 && var3.aWeakReference_Sub1_10380 != var1) {
               var3 = var3.aWeakReference_Sub1_10380;
            }

            if(var3 != null) {
               var3.aWeakReference_Sub1_10380 = var1.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            }
         }
      }
   }

   void method6724() {
      while(true) {
         WeakReference_Sub1 var1 = (WeakReference_Sub1)this.aReferenceQueue4854.poll();
         if(null == var1) {
            return;
         }

         int var2 = var1.anInt10381 * -1077508375 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var3 = this.aWeakReference_Sub1Array4855[var2];
         if(var3 == var1) {
            this.aWeakReference_Sub1Array4855[var2] = var1.aWeakReference_Sub1_10380;
            this.anInt4856 -= -986452735;
         } else {
            while(null != var3 && var3.aWeakReference_Sub1_10380 != var1) {
               var3 = var3.aWeakReference_Sub1_10380;
            }

            if(var3 != null) {
               var3.aWeakReference_Sub1_10380 = var1.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            }
         }
      }
   }

   public void method6725(Object var1, int var2) {
      if(var1 == null) {
         throw new NullPointerException();
      } else {
         this.method6716(-335577967);
         int var3 = System.identityHashCode(var1);
         int var4 = var3 & this.aWeakReference_Sub1Array4855.length - 1;
         WeakReference_Sub1 var5 = this.aWeakReference_Sub1Array4855[var4];
         if(var5 != null) {
            if(var5.get() == var1) {
               this.aWeakReference_Sub1Array4855[var4] = var5.aWeakReference_Sub1_10380;
               this.anInt4856 -= -986452735;
            } else {
               while(true) {
                  WeakReference_Sub1 var6 = var5.aWeakReference_Sub1_10380;
                  if(null == var6) {
                     break;
                  }

                  if(var6.get() == var1) {
                     var5.aWeakReference_Sub1_10380 = var6.aWeakReference_Sub1_10380;
                     this.anInt4856 -= -986452735;
                     break;
                  }

                  var5 = var6;
               }
            }

         }
      }
   }

   static final void method6726(Class508 var0, short var1) {
      var0.anInt6005 -= -93697366;
      String var2 = (String)var0.anObjectArray6004[var0.anInt6005 * 639741949];
      String var3 = (String)var0.anObjectArray6004[639741949 * var0.anInt6005 + 1];
      Class450.method7551(var2, var3, -1852888154);
   }
}
